/*
 * Author: Hiroyuki Chishiro
 * License: 2-Clause BSD
 */
#include "raspberry-pi-4.h"
  .section ".text.boot"

ENTRY(_start)

 disable_local_irq
  // Setup the stack with CPU ID.
initialize_stack:  
  get_cpu_id x0, x1
  mov x1, #KERNEL_STACK_SIZE
  mul x0, x0, x1
  ldr x1, =kernel_stack
  add x2, x0, x1
  mov sp, x2

jump_to_main:
  bl      main
  b .
