/*
 * Author: Hiroyuki Chishiro
 * License: 2-Clause BSD
 */
#include "raspberry-pi-4.h"

unsigned char PAGE_ALIGNMENT kernel_stack[NR_CPUS][KERNEL_STACK_SIZE];

void clear_bss(void)
{
  extern uintptr_t __bss_begin, __bss_end;
  uintptr_t *p;

  for (p = (uintptr_t *) __bss_begin;
       (uintptr_t) p < __bss_end;
       p += sizeof(uintptr_t)) {
    *p = 0;
  }
}
